Skip to content
PATCH /unified/file-storage/folders/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

descriptionstring

The description of the folder

1 supported
Box
supported
namestring

The name of the folder

1 supported
Box
supported
parent_folderstring

The folder where this folder belongs

1 supported
Box
supported
remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

Response Body

idstring
required·

The unique identifier for a folder

1 supported
Box
supported
created_atstring · date-time

The date and time the folder was created

1 supported
Box
supported
descriptionstring

The description of the folder

1 supported
Box
supported
drivestring

The drive of the folder where it belongs

folder_urlstring

The URL of the folder

namestring

The name of the folder

1 supported
Box
supported
parent_folderstring

The folder where this folder belongs

1 supported
Box
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

sizeinteger

The size of the folder

1 supported
Box
supported
updated_atstring · date-time

The date and time the folder was last updated

1 supported
Box
supported
curl -X PATCH 'https://api.truto.one/unified/file-storage/folders/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "your_name",
  "parent_folder": "your_parent_folder",
  "description": "your_description",
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "name": "your_name",
  "parent_folder": "your_parent_folder",
  "description": "your_description",
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/file-storage/folders/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'PATCH',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/file-storage/folders/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "name": "your_name",
    "parent_folder": "your_parent_folder",
    "description": "your_description",
    "remote_data": {}
}

response = requests.patch(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.update(
  'file-storage',
  'folders',
  '<resource_id>',
  {
  "name": "your_name",
  "parent_folder": "your_parent_folder",
  "description": "your_description",
  "remote_data": {}
},
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.update(
        "file-storage",
        "folders",
        "<resource_id>",
        {
        "name": "your_name",
        "parent_folder": "your_parent_folder",
        "description": "your_description",
        "remote_data": {}
},
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())